<?php

declare(strict_types=1);

namespace RprtCli\Utils\Mailer;

/**
 * Methods for symfony (swift)mailer service.
 */
interface MailerInterface
{
    /**
     * Recipients for message.
     *
     * @param string[] $to
     */
    public function setRecipients(array $to) : void;

    /**
     * Sends default mail.
     */
    public function sendDefaultMail(string $output) : void;
}
