<?php

declare(strict_types=1);

namespace RprtCli\Utils\TimeTrackingServices\YoutrackRestApi;

use RprtCli\Utils\TimeTrackingServices\EntityManagerInterface;

class SimpleYoutrackEntityManager implements EntityManagerInterface {

    public function list() {
        return [
            'issue' => [
                'fields' => [
                    'id',
                    'idReadable',
                ],
            ],
            'project',
            'work_item',
        ];
    }

}
