<?php

declare(strict_types=1);

namespace RprtCli\Utils\TimeTrackingServices\YoutrackRestApi\YoutrackEntityTypes;

use RprtCli\Utils\TimeTrackingServices\YoutrackRestApi\YoutrackEntity;
use RprtCli\Utils\TimeTrackingServices\EntityDefinition;

#[EntityDefinition(
    'work_item',
    'youtrack_rest_api',
    'Issue Work Item',
    [
        'id',
        'author',
        'text',
        'type',
        'duration',
        'date',
        'issue',
    ],
    [
        'project',
        'issue',
        'user',
        'date',
    ]
)]
class YoutrackWorkItem extends YoutrackEntity {
    
}
